• Es gibt nach dem Softwareupdate eine Reihe von Änderungen und Neuerungen in unserem Forum. Genaueres dazu findet Ihr in dieser Ankündigung. Hinweise, Kritik, Anregungen, Lob und Tadel bitte hier diskutieren.

[10.10 Yosemite] gelöst: Problem mit Java

BlackTable

Elstar
Mitglied seit
08.07.13
Beiträge
73
Hallo Apfeltalker,

ich bekommen nach dem Update auf Yosemite meine Java Apps nicht mehr zum Laufen.

Nach dem Update des OS wollte Yosemite, dass ich Java neu installiere.

Also installierte ich

Mac OS X x6456.76 MB jre-8u25-macosx-x64.dmg

von Oracle.com. Nach der Installation findet Oracle das Applet auch auf der Oracle Seite in Safari.

Wenn ich eine Java App vom Desktop oder der Shell starte. z. Bsp. Hibiscus oder I2P, gibt es immer noch die Fehlermeldung „Um diesen Webinhalt sehen zu können, müssen Sie das Java-Runtime-Environment installieren“.

Bin etwas ratlos. Brauche ich etwa die SDK Version von Java oder was ist zu tun?
 

ImpCaligula

deaktivierter Benutzer
Mitglied seit
05.04.10
Beiträge
13.859
Gibt doch noch kein aktuelles Java laut Oracle für Yosemite....
 

BlackTable

Elstar
Mitglied seit
08.07.13
Beiträge
73
Nach Oracle Web-Site sollte es Java für Mac OS X 10.7.3 und höher geben. (http://java.com/de/download/manual.jsp).

Früher gab es scheinbar Probleme mit dem Installer, der wegen schlampiger Programmierung irrtümlich 10.10 für kleiner 10.7 hielt. In Google gibt es eine ganze Reihe Seiten, welche Tricks zeigen, wie Java trotzdem auf der Yosemite Beta installiert werden kann. Inzwischen hat Oracle selbst diesen Fehler im Installer behoben. Download und Installation funktionieren scheinbar ohne Probleme.



Die Oracle Web-Site testet auch erfolgreich, dass das Java Plugin installiert ist. Dennoch lassen sich die Java Apps nicht starten. Sieht für mich eher so aus, als ob Yosemite noch irgendwo einen Security Switch hätte, der verhindert, dass Java startet.

Ich brauche Java für Banking und andere Apps. Wenn ich das nicht bis Montag zum Laufen bekomme werde ich wieder das OS wieder downgraden müssen. Das wäre in der Tat bedauerlich. :(
 

JeSto

Erdapfel
Mitglied seit
27.11.14
Beiträge
1
Moin!

Habe das Problem in ähnlicher Form. Seit Yosemite kommt die kurze Fehlermeldung immer mal wieder auf. So alle halbe Stunde.
Und zwar nicht, wenn ich eine App oder ähnliches öffne sonder einfach so. Auch wenn ich garnichts tue...

Hab eben 10.10.1 installiert... nach einer Minute im Safari... "Um diesen Webinhalt sehen zu können..."

Ich will nicht downgraden :D
HILFE!